/*+--------------------------------------------------------------------------+
 *| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
 *| This software contains proprietary and confidential information of       |
 *| Rational and its suppliers. Use, disclosure or reproduction is           |
 *| prohibited without the prior express written consent of Rational.        |
 *+--------------------------------------------------------------------------+
 */
/* Variable arugments, old-style */

#ifndef _VARARGS_H_
#define _VARARGS_H_

#ifdef _STDARG_H_
#error Cannot include both <varargs.h> and <stdarg.h>
#endif


typedef char *va_list;

#define va_alist ...
#define va_dcl
#define va_start(ap) (ap = (va_list)&__builtin_va_alist)
#define va_arg(ap, mode) (((mode *)(ap += sizeof(mode)))[-1])
#define va_end(ap) (ap = 0)

#endif
