/*+--------------------------------------------------------------------------+
 *| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
 *| This software contains proprietary and confidential information of       |
 *| Rational and its suppliers. Use, disclosure or reproduction is           |
 *| prohibited without the prior express written consent of Rational.        |
 *+--------------------------------------------------------------------------+
 */
#ifndef __STD_FUNCTIONAL_H
#define __STD_FUNCTIONAL_H

#include <functional>

using std::unary_function;
using std::binary_function;
using std::plus;
using std::minus;
using std::multiplies;
using std::divides;
using std::modulus;
using std::negate;
using std::equal_to;
using std::not_equal_to;
using std::greater;
using std::less;
using std::greater_equal;
using std::less_equal;
using std::logical_and;
using std::logical_or;
using std::logical_not;
using std::unary_negates;
using std::not1;
using std::binary_negate;
using std::not2;
using std::binder1st;
using std::bind1st;
using std::binder2nd;
using std::bind2nd;
using std::pointer_to_unary_function;
using std::ptr_fun;
using std::pointer_to_binary_function;
using std::mem_fun_t;
using std::mem_fun1_t;
using std::mem_fun;
using std::mem_fun_ref_t;
using std::mem_fun1_ref_t;
using std::mem_fun_ref;
using std::const_mem_fun_t;
using std::const_mem_fun1_t;
using std::const_mem_fun_ref_t;
using std::const_mem_fun1_ref_t;

#endif
