/*+--------------------------------------------------------------------------+
 *| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
 *| This software contains proprietary and confidential information of       |
 *| Rational and its suppliers. Use, disclosure or reproduction is           |
 *| prohibited without the prior express written consent of Rational.        |
 *+--------------------------------------------------------------------------+
 */
#ifndef __STD_IOSTREAM_H
#define __STD_IOSTREAM_H

#include <iostream>

using std::cin;
using std::cout;
using std::cerr;
using std::clog;
using std::wcin;
using std::wcout;
using std::wcerr;
using std::wclog;

// These are not in <iostream> according to the standard, but I think
// most users would expect them to be.
using std::  istream;
using std::  ostream;
using std:: iostream;
using std:: wistream;
using std:: wostream;
using std::wiostream;
using std::left;
using std::right;
using std::dec;
using std::hex;
using std::oct;
using std::fixed;
using std::scientific;
using std::ws;
using std::endl;
using std::ends;
using std::flush;

#endif
