/*+--------------------------------------------------------------------------+
 *| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
 *| This software contains proprietary and confidential information of       |
 *| Rational and its suppliers. Use, disclosure or reproduction is           |
 *| prohibited without the prior express written consent of Rational.        |
 *+--------------------------------------------------------------------------+
 */
/*  stdiostream.h -- class stdiobuf and stdiostream declarations

    NOTE: These are inefficient and obsolete.  Use the standard classes
          and functions in <fstream.h> instead.
*/

#ifndef _STDSTREAM_H_
#define _STDSTREAM_H_

#ifndef __cplusplus
#    error C++ header included when compiling in C mode
#endif

#include <iostream.h>
#include <stdio.h>

class stdiobuf : public streambuf {

public:
    stdiobuf(FILE*);
    FILE* stdiofile();
    ~stdiobuf();

    virtual int overflow(int=EOF);
    virtual int pbackfail(int);
    virtual int sync();
    virtual streampos seekoff(streamoff, ios::seek_dir, int);
    virtual int underflow();

private:
    FILE*       sio;                    
    char        lahead[2];
};

inline  FILE*   stdiobuf::stdiofile() { return sio; }


class stdiostream : public ios {
public:
    stdiostream(FILE*);
    ~stdiostream();
    stdiobuf* rdbuf();

private:
    stdiobuf buf;
};

inline  stdiobuf* stdiostream::rdbuf() { return &buf; }

#endif /* _STDSTREAM_H_ */
