/*+--------------------------------------------------------------------------+
 *| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
 *| This software contains proprietary and confidential information of       |
 *| Rational and its suppliers. Use, disclosure or reproduction is           |
 *| prohibited without the prior express written consent of Rational.        |
 *+--------------------------------------------------------------------------+
 */
/*  Floating point characteristics - IEEE format */

/* General characteristics */

#define FLT_RADIX    2  /* Radix of exponent */
#define FLT_ROUNDS  -1  /* rounding mode: user-defined */


/* Float characteristics */
 
#define FLT_DIG                               6
#define FLT_MANT_DIG                         24
#define FLT_MAX                3.402823466E+38F
#define FLT_MAX_10_EXP                       38        
#define FLT_MAX_EXP                         128
#define FLT_MIN                1.175494351E-38F
#define FLT_MIN_10_EXP                     (-37)
#define FLT_MIN_EXP                       (-125)
#define FLT_EPSILON            1.192092896E-07F

/* Double type characteristics */

#define DBL_DIG                              15
#define DBL_MANT_DIG                         53
#define DBL_MAX         1.7976931348623157E+308
#define DBL_MAX_10_EXP                      308
#define DBL_MAX_EXP                        1024
#define DBL_MIN         2.2250738585072014E-308
#define DBL_MIN_10_EXP                    (-307)
#define DBL_MIN_EXP                      (-1021)
#define DBL_EPSILON      2.2204460492503131E-16

/* long double type characteristics -- sames as double */

#define LDBL_DIG                          DBL_DIG
#define LDBL_MANT_DIG                DBL_MANT_DIG
#define LDBL_MAX                          DBL_MAX
#define LDBL_MAX_10_EXP            DBL_MAX_10_EXP
#define LDBL_MAX_EXP                  DBL_MAX_EXP
#define LDBL_MIN                          DBL_MIN
#define LDBL_MIN_10_EXP            DBL_MIN_10_EXP
#define LDBL_MIN_EXP                  DBL_MIN_EXP
#define LDBL_EPSILON                  DBL_EPSILON
